Subject: Re: [Cfrg] RGLC on draft-irtf-cfrg-chacha20-poly1305-01.txt

From: Peter Gutmann <[email-masked]>
Date: Tue, 7 Oct 2014 10:27:44 +0000

Nikos Mavrogiannopoulos <[email-masked]> writes:

>Would you really want to use an AEAD cipher for backup encryption in a single
>pass? I mean a single bit corruption in 128 Gigs and you lost everything as
>authentication would fail. 

You wouldn't lose anything, you'd just get a notification that some of the
data was corrupted.  In fact if you use one of the CTR-mode-based AEAD
constructions, which are just KSG ciphers, then you could flip all sorts of
bits with minimal data loss.

Peter.